ruby2.6-rubygem-nori-testsuite-2.6.0-1.7.i586.rpm


Advertisement

Description

ruby2.6-rubygem-nori-testsuite - Test suite for nori

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-nori-testsuite-2.6.0-1.7.i586.rpm
Package name ruby2.6-rubygem-nori-testsuite
Package version 2.6.0
Package release 1.7
Package architecture i586
Package type rpm
Category Development/Languages/Ruby
Homepage https://github.com/savonrb/nori
License MIT
Maintainer -
Download size 17.38 KB
Installed size 31.34 KB
Test::Unit or RSpec files, useful for developers.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-nori-testsuite-2.6.0-1.7.x86_64.rpm 2.6.0 x86_64 openSUSE Oss
ruby2.6-rubygem-nori-testsuite - - -

Requires

Name Value
ruby2.6-rubygem-nori = 2.6.0

Provides

Name Value
ruby2.6-rubygem-nori-testsuite = 2.6.0-1.7
ruby2.6-rubygem-nori-testsuite(x86-32) = 2.6.0-1.7

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-nori-testsuite-2.6.0-1.7.i586.rpm
Source Package rubygem-nori-2.6.0-1.7.src.rpm

Install Howto

Install ruby2.6-rubygem-nori-testsuite rpm package:

# zypper install ruby2.6-rubygem-nori-testsuite

Files

Path
/usr/lib/ruby/gems/2.6.0/gems/nori-2.6.0/spec/spec_helper.rb
/usr/lib/ruby/gems/2.6.0/gems/nori-2.6.0/spec/nori/api_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/nori-2.6.0/spec/nori/nori_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/nori-2.6.0/spec/nori/core_ext/hash_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/nori-2.6.0/spec/nori/core_ext/object_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/nori-2.6.0/spec/nori/core_ext/string_spec.rb

Changelog

2015-05-08 - coolo@suse.com
- updated to version 2.6.0
see installed CHANGELOG.md
[#] 2.6.0 (2015-05-06)
* Feature: [#69](https://github.com/savonrb/nori/pull/69) Add option to convert empty tags to a value other than nil.
2015-04-02 - coolo@suse.com
- updated to version 2.5.0
2014-10-13 - coolo@suse.com
- adapt to new rubygem packaging
2014-05-18 - coolo@suse.com
- updated to version 2.4.0
* Change: Dropped support for ruby 1.8, rubinius and ree
* Feature: Added `:convert_attributes` feature similar to `:convert_tags_to`
* Feature: Added `:convert_dashes_to_underscore` option
2013-07-30 - coolo@suse.com
- updated to version 2.3.0
* Change: `Nori#find` now ignores namespace prefixes in Hash keys it is searching through.
* Fix: Limited Nokogiri to < 1.6, because v1.6 dropped support for Ruby 1.8.
2013-05-13 - coolo@suse.com
- updated to version 2.2.0
* Feature: [#42](https://github.com/savonrb/nori/pull/42) adds the `:delete_namespace_attributes`
option to remove namespace attributes like `xmlns:*` or `xsi:*`.
[#] 2.1.0 (2013-04-21)
* Feature: Added `Nori.hash_key` and `Nori#find` to work with Hash keys generated by Nori.
Original issue: [savonrb/savon#393](https://github.com/savonrb/savon/pull/393)
[#] 2.0.4 (2013-02-26)
* Fix: [#37](https://github.com/savonrb/nori/issues/37) special characters
problem on Ruby 1.9.3-p392.
2013-02-09 - coolo@suse.com
- updated to version 2.0.3
* Fix for remote code execution bug. For more in-depth information, read about the
recent [Rails hotfix](https://groups.google.com/forum/?fromgroups=#!topic/rubyonrails-security/61bkgvnSGTQ).
Please make sure to upgrade now!
2012-12-14 - coolo@suse.com
- updated to version 2.0.0
Please make sure to read the updated README for how to use the new version.
* Change: Nori now defaults to use the Nokogiri parser.
* Refactoring: Changed the `Nori` module to a class. This might cause problems if you
included the `Nori` module somewhere in your application. This use case was removed
for overall simplicity.
* Refactoring: Changed the interface to remove any global state. The global configuration
is gone and replaced with simple options to be passed to `Nori.new`.
``` ruby
parser = Nori.new(strip_namespaces: true)
parser.parse(xml)
```
* Refactoring: Removed the `Nori::Parser` module methods. After refactoring the rest,
there was only a single method left for this module and that was moved to `Nori`.
* Fix: [#16](https://github.com/savonrb/nori/issues/16) strip XML passed to Nori.
2011-07-22 - fcastelli@novell.com
- Fix provides statement.
2011-07-22 - fcastelli@novell.com
- Add provides rubygem-nori-1. It's required to build rubygem-savon.

See Also

Package Description
ruby2.6-rubygem-oauth-0.5.4-1.4.i586.rpm OAuth Core Ruby implementation
ruby2.6-rubygem-oauth-0.5.4-1.4.x86_64.rpm OAuth Core Ruby implementation
ruby2.6-rubygem-oauth-doc-0.5.4-1.4.i586.rpm RDoc documentation for oauth
ruby2.6-rubygem-oauth-doc-0.5.4-1.4.x86_64.rpm RDoc documentation for oauth
ruby2.6-rubygem-oauth2-1.4.1-1.3.i586.rpm A Ruby wrapper for the OAuth 2.0 protocol
ruby2.6-rubygem-oauth2-1.4.1-1.3.x86_64.rpm A Ruby wrapper for the OAuth 2.0 protocol
ruby2.6-rubygem-oauth2-doc-1.4.1-1.3.i586.rpm RDoc documentation for oauth2
ruby2.6-rubygem-oauth2-doc-1.4.1-1.3.x86_64.rpm RDoc documentation for oauth2
ruby2.6-rubygem-omniauth-1.9.0-1.1.i586.rpm A generalized Rack framework for multiple-provider authentication
ruby2.6-rubygem-omniauth-1.9.0-1.1.x86_64.rpm A generalized Rack framework for multiple-provider authentication
ruby2.6-rubygem-omniauth-doc-1.9.0-1.1.i586.rpm RDoc documentation for omniauth
ruby2.6-rubygem-omniauth-doc-1.9.0-1.1.x86_64.rpm RDoc documentation for omniauth
ruby2.6-rubygem-omniauth-github-1.3.0-1.3.i586.rpm Official OmniAuth strategy for GitHub
ruby2.6-rubygem-omniauth-github-1.3.0-1.3.x86_64.rpm Official OmniAuth strategy for GitHub
ruby2.6-rubygem-omniauth-github-doc-1.3.0-1.3.i586.rpm RDoc documentation for omniauth-github
Advertisement
Advertisement